--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: J.36
--  \   \         Application: netgen
--  /   /         Filename: counter_synthesis.vhd
-- /___/   /\     Timestamp: Tue Nov 27 12:37:48 2007
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -tm counter -w -dir netgen/synthesis -ofmt vhdl -sim counter.ngc counter_synthesis.vhd 
-- Device	: xc3s500e-4-fg320
-- Input file	: counter.ngc
-- Output file	: C:\JLR\QBtrigger-clock\QBtrig_2007-11-26\netgen\synthesis\counter_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: counter
-- Xilinx	: C:\Xilinx9.2
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity counter is
  port (
    sw_rst : in STD_LOGIC := 'X'; 
    clk50 : in STD_LOGIC := 'X'; 
    output_bit : out STD_LOGIC; 
    clk60_out : out STD_LOGIC; 
    count_out : out STD_LOGIC_VECTOR ( 31 downto 0 ) 
  );
end counter;

architecture Structure of counter is
  signal output_bit_OBUF_1 : STD_LOGIC; 
  signal clk60_out_OBUF_2 : STD_LOGIC; 
  signal output_bit_and0000 : STD_LOGIC; 
  signal sr_37_mux0001 : STD_LOGIC; 
  signal sr_6_mux0001 : STD_LOGIC; 
  signal sr_36_mux0001 : STD_LOGIC; 
  signal sr_5_mux0001 : STD_LOGIC; 
  signal sr_35_mux0001 : STD_LOGIC; 
  signal sr_4_mux0001 : STD_LOGIC; 
  signal sr_34_mux0001 : STD_LOGIC; 
  signal sr_29_mux0001 : STD_LOGIC; 
  signal sr_3_mux0001 : STD_LOGIC; 
  signal sr_33_mux0001 : STD_LOGIC; 
  signal sr_28_mux0001 : STD_LOGIC; 
  signal sr_2_mux0001 : STD_LOGIC; 
  signal sr_32_mux0001 : STD_LOGIC; 
  signal sr_27_mux0001 : STD_LOGIC; 
  signal sr_1_mux0001 : STD_LOGIC; 
  signal sr_31_mux0001 : STD_LOGIC; 
  signal sr_26_mux0001 : STD_LOGIC; 
  signal sr_30_mux0001 : STD_LOGIC; 
  signal sr_25_mux0001 : STD_LOGIC; 
  signal sr_24_mux0001 : STD_LOGIC; 
  signal sr_19_mux0001 : STD_LOGIC; 
  signal sr_23_mux0001 : STD_LOGIC; 
  signal sr_18_mux0001 : STD_LOGIC; 
  signal sr_22_mux0001 : STD_LOGIC; 
  signal sr_17_mux0001 : STD_LOGIC; 
  signal sr_21_mux0001 : STD_LOGIC; 
  signal sr_16_mux0001 : STD_LOGIC; 
  signal sr_20_mux0001 : STD_LOGIC; 
  signal sr_15_mux0001 : STD_LOGIC; 
  signal sr_14_mux0001 : STD_LOGIC; 
  signal sr_13_mux0001 : STD_LOGIC; 
  signal sr_12_mux0001 : STD_LOGIC; 
  signal sr_11_mux0001 : STD_LOGIC; 
  signal sr_10_mux0001 : STD_LOGIC; 
  signal sr_0_cmp_eq0000 : STD_LOGIC; 
  signal sr_9_mux0001 : STD_LOGIC; 
  signal sr_8_mux0001 : STD_LOGIC; 
  signal sr_7_mux0001 : STD_LOGIC; 
  signal N0 : STD_LOGIC; 
  signal rst_n_inv : STD_LOGIC; 
  signal N2 : STD_LOGIC; 
  signal dcm1_1_CLKFX_BUF : STD_LOGIC; 
  signal dcm1_1_CLK0_BUF : STD_LOGIC; 
  signal dcm1_1_CLK0_OUT : STD_LOGIC; 
  signal dcm1_1_CLKIN_IBUFG_OUT : STD_LOGIC; 
  signal clk60_out_inv : STD_LOGIC; 
  signal Mcount_bit_no : STD_LOGIC; 
  signal Mcount_bit_no3 : STD_LOGIC; 
  signal Mcount_bit_no6 : STD_LOGIC; 
  signal Mcount_bit_no9 : STD_LOGIC; 
  signal Mcount_bit_no12 : STD_LOGIC; 
  signal Mcount_bit_no15 : STD_LOGIC; 
  signal N01 : STD_LOGIC; 
  signal N3 : STD_LOGIC; 
  signal N7 : STD_LOGIC; 
  signal N13 : STD_LOGIC; 
  signal Mcount_count_int_cy_1_rt_3 : STD_LOGIC; 
  signal Mcount_count_int_cy_2_rt_4 : STD_LOGIC; 
  signal Mcount_count_int_cy_3_rt_5 : STD_LOGIC; 
  signal Mcount_count_int_cy_4_rt_6 : STD_LOGIC; 
  signal Mcount_count_int_cy_5_rt_7 : STD_LOGIC; 
  signal Mcount_count_int_cy_6_rt_8 : STD_LOGIC; 
  signal Mcount_count_int_cy_7_rt_9 : STD_LOGIC; 
  signal Mcount_count_int_cy_8_rt_10 : STD_LOGIC; 
  signal Mcount_count_int_cy_9_rt_11 : STD_LOGIC; 
  signal Mcount_count_int_cy_10_rt_12 : STD_LOGIC; 
  signal Mcount_count_int_cy_11_rt_13 : STD_LOGIC; 
  signal Mcount_count_int_cy_12_rt_14 : STD_LOGIC; 
  signal Mcount_count_int_cy_13_rt_15 : STD_LOGIC; 
  signal Mcount_count_int_cy_14_rt_16 : STD_LOGIC; 
  signal Mcount_count_int_cy_15_rt_17 : STD_LOGIC; 
  signal Mcount_count_int_cy_16_rt_18 : STD_LOGIC; 
  signal Mcount_count_int_cy_17_rt_19 : STD_LOGIC; 
  signal Mcount_count_int_cy_18_rt_20 : STD_LOGIC; 
  signal Mcount_count_int_cy_19_rt_21 : STD_LOGIC; 
  signal Mcount_count_int_cy_20_rt_22 : STD_LOGIC; 
  signal Mcount_count_int_cy_21_rt_23 : STD_LOGIC; 
  signal Mcount_count_int_cy_22_rt_24 : STD_LOGIC; 
  signal Mcount_count_int_cy_23_rt_25 : STD_LOGIC; 
  signal Mcount_count_int_cy_24_rt_26 : STD_LOGIC; 
  signal Mcount_count_int_cy_25_rt_27 : STD_LOGIC; 
  signal Mcount_count_int_cy_26_rt_28 : STD_LOGIC; 
  signal Mcount_count_int_cy_27_rt_29 : STD_LOGIC; 
  signal Mcount_count_int_cy_28_rt_30 : STD_LOGIC; 
  signal Mcount_count_int_cy_29_rt_31 : STD_LOGIC; 
  signal Mcount_count_int_cy_30_rt_32 : STD_LOGIC; 
  signal Mcount_count_int_xor_31_rt_33 : STD_LOGIC; 
  signal N63 : STD_LOGIC; 
  signal N65 : STD_LOGIC; 
  signal sr_10_mux000111_34 : STD_LOGIC; 
  signal N67 : STD_LOGIC; 
  signal N68 : STD_LOGIC; 
  signal N69 : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLK90_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLK180_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLK270_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLK2X_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLK2X180_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLKDV_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_CLKFX180_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_LOCKED_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_PSDONE_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_dcm1_1_DCM_SP_INST_STATUS_0_UNCONNECTED : STD_LOGIC; 
  signal count_int : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal sr : STD_LOGIC_VECTOR ( 37 downto 0 ); 
  signal bit_no : STD_LOGIC_VECTOR ( 5 downto 0 ); 
  signal Result : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal Mcount_count_int_cy : STD_LOGIC_VECTOR ( 30 downto 0 ); 
begin
  XST_GND : GND
    port map (
      G => N0
    );
  sr_12 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_12_mux0001,
      Q => sr(12)
    );
  sr_11 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_11_mux0001,
      Q => sr(11)
    );
  sr_15 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_15_mux0001,
      Q => sr(15)
    );
  sr_13 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_13_mux0001,
      Q => sr(13)
    );
  sr_14 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_14_mux0001,
      Q => sr(14)
    );
  sr_21 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_21_mux0001,
      Q => sr(21)
    );
  sr_20 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_20_mux0001,
      Q => sr(20)
    );
  sr_16 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_16_mux0001,
      Q => sr(16)
    );
  sr_17 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_17_mux0001,
      Q => sr(17)
    );
  sr_22 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_22_mux0001,
      Q => sr(22)
    );
  sr_19 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_19_mux0001,
      Q => sr(19)
    );
  sr_18 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_18_mux0001,
      Q => sr(18)
    );
  sr_23 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_23_mux0001,
      Q => sr(23)
    );
  sr_24 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_24_mux0001,
      Q => sr(24)
    );
  sr_25 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_25_mux0001,
      Q => sr(25)
    );
  sr_31 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_31_mux0001,
      Q => sr(31)
    );
  sr_30 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_30_mux0001,
      Q => sr(30)
    );
  sr_26 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_26_mux0001,
      Q => sr(26)
    );
  sr_27 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_27_mux0001,
      Q => sr(27)
    );
  sr_32 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_32_mux0001,
      Q => sr(32)
    );
  sr_29 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_29_mux0001,
      Q => sr(29)
    );
  sr_28 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_28_mux0001,
      Q => sr(28)
    );
  sr_33 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_33_mux0001,
      Q => sr(33)
    );
  sr_36 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_36_mux0001,
      Q => sr(36)
    );
  sr_34 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_34_mux0001,
      Q => sr(34)
    );
  sr_35 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_35_mux0001,
      Q => sr(35)
    );
  sr_37 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_37_mux0001,
      Q => sr(37)
    );
  sr_1 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_1_mux0001,
      Q => sr(1)
    );
  sr_2 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_2_mux0001,
      Q => sr(2)
    );
  sr_4 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_4_mux0001,
      Q => sr(4)
    );
  sr_3 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_3_mux0001,
      Q => sr(3)
    );
  sr_5 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_5_mux0001,
      Q => sr(5)
    );
  sr_6 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_6_mux0001,
      Q => sr(6)
    );
  sr_9 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_9_mux0001,
      Q => sr(9)
    );
  sr_7 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_7_mux0001,
      Q => sr(7)
    );
  sr_8 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_8_mux0001,
      Q => sr(8)
    );
  sr_10 : FDC_1
    port map (
      C => clk60_out_OBUF_2,
      CLR => rst_n_inv,
      D => sr_10_mux0001,
      Q => sr(10)
    );
  sr_0 : FDCE_1
    port map (
      C => clk60_out_OBUF_2,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => count_int(0),
      Q => sr(0)
    );
  output_bit_0 : FDE_1
    port map (
      C => clk60_out_OBUF_2,
      CE => output_bit_and0000,
      D => sr(37),
      Q => output_bit_OBUF_1
    );
  XST_VCC : VCC
    port map (
      P => N2
    );
  count_int_0 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(0),
      Q => count_int(0)
    );
  count_int_1 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(1),
      Q => count_int(1)
    );
  count_int_2 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(2),
      Q => count_int(2)
    );
  count_int_3 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(3),
      Q => count_int(3)
    );
  count_int_4 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(4),
      Q => count_int(4)
    );
  count_int_5 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(5),
      Q => count_int(5)
    );
  count_int_6 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(6),
      Q => count_int(6)
    );
  count_int_7 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(7),
      Q => count_int(7)
    );
  count_int_8 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(8),
      Q => count_int(8)
    );
  count_int_9 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(9),
      Q => count_int(9)
    );
  count_int_10 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(10),
      Q => count_int(10)
    );
  count_int_11 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(11),
      Q => count_int(11)
    );
  count_int_12 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(12),
      Q => count_int(12)
    );
  count_int_13 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(13),
      Q => count_int(13)
    );
  count_int_14 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(14),
      Q => count_int(14)
    );
  count_int_15 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(15),
      Q => count_int(15)
    );
  count_int_16 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(16),
      Q => count_int(16)
    );
  count_int_17 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(17),
      Q => count_int(17)
    );
  count_int_18 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(18),
      Q => count_int(18)
    );
  count_int_19 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(19),
      Q => count_int(19)
    );
  count_int_20 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(20),
      Q => count_int(20)
    );
  count_int_21 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(21),
      Q => count_int(21)
    );
  count_int_22 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(22),
      Q => count_int(22)
    );
  count_int_23 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(23),
      Q => count_int(23)
    );
  count_int_24 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(24),
      Q => count_int(24)
    );
  count_int_25 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(25),
      Q => count_int(25)
    );
  count_int_26 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(26),
      Q => count_int(26)
    );
  count_int_27 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(27),
      Q => count_int(27)
    );
  count_int_28 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(28),
      Q => count_int(28)
    );
  count_int_29 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(29),
      Q => count_int(29)
    );
  count_int_30 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(30),
      Q => count_int(30)
    );
  count_int_31 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk60_out_inv,
      CE => sr_0_cmp_eq0000,
      CLR => rst_n_inv,
      D => Result(31),
      Q => count_int(31)
    );
  bit_no_0 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no,
      Q => bit_no(0)
    );
  bit_no_1 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no3,
      Q => bit_no(1)
    );
  bit_no_2 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no6,
      Q => bit_no(2)
    );
  bit_no_3 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no9,
      Q => bit_no(3)
    );
  bit_no_4 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no12,
      Q => bit_no(4)
    );
  bit_no_5 : FDC
    port map (
      C => clk60_out_inv,
      CLR => rst_n_inv,
      D => Mcount_bit_no15,
      Q => bit_no(5)
    );
  Mcount_count_int_cy_0_Q : MUXCY
    port map (
      CI => N0,
      DI => N2,
      S => Result(0),
      O => Mcount_count_int_cy(0)
    );
  Mcount_count_int_cy_1_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(0),
      DI => N0,
      S => Mcount_count_int_cy_1_rt_3,
      O => Mcount_count_int_cy(1)
    );
  Mcount_count_int_xor_1_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(0),
      LI => Mcount_count_int_cy_1_rt_3,
      O => Result(1)
    );
  Mcount_count_int_cy_2_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(1),
      DI => N0,
      S => Mcount_count_int_cy_2_rt_4,
      O => Mcount_count_int_cy(2)
    );
  Mcount_count_int_xor_2_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(1),
      LI => Mcount_count_int_cy_2_rt_4,
      O => Result(2)
    );
  Mcount_count_int_cy_3_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(2),
      DI => N0,
      S => Mcount_count_int_cy_3_rt_5,
      O => Mcount_count_int_cy(3)
    );
  Mcount_count_int_xor_3_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(2),
      LI => Mcount_count_int_cy_3_rt_5,
      O => Result(3)
    );
  Mcount_count_int_cy_4_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(3),
      DI => N0,
      S => Mcount_count_int_cy_4_rt_6,
      O => Mcount_count_int_cy(4)
    );
  Mcount_count_int_xor_4_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(3),
      LI => Mcount_count_int_cy_4_rt_6,
      O => Result(4)
    );
  Mcount_count_int_cy_5_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(4),
      DI => N0,
      S => Mcount_count_int_cy_5_rt_7,
      O => Mcount_count_int_cy(5)
    );
  Mcount_count_int_xor_5_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(4),
      LI => Mcount_count_int_cy_5_rt_7,
      O => Result(5)
    );
  Mcount_count_int_cy_6_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(5),
      DI => N0,
      S => Mcount_count_int_cy_6_rt_8,
      O => Mcount_count_int_cy(6)
    );
  Mcount_count_int_xor_6_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(5),
      LI => Mcount_count_int_cy_6_rt_8,
      O => Result(6)
    );
  Mcount_count_int_cy_7_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(6),
      DI => N0,
      S => Mcount_count_int_cy_7_rt_9,
      O => Mcount_count_int_cy(7)
    );
  Mcount_count_int_xor_7_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(6),
      LI => Mcount_count_int_cy_7_rt_9,
      O => Result(7)
    );
  Mcount_count_int_cy_8_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(7),
      DI => N0,
      S => Mcount_count_int_cy_8_rt_10,
      O => Mcount_count_int_cy(8)
    );
  Mcount_count_int_xor_8_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(7),
      LI => Mcount_count_int_cy_8_rt_10,
      O => Result(8)
    );
  Mcount_count_int_cy_9_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(8),
      DI => N0,
      S => Mcount_count_int_cy_9_rt_11,
      O => Mcount_count_int_cy(9)
    );
  Mcount_count_int_xor_9_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(8),
      LI => Mcount_count_int_cy_9_rt_11,
      O => Result(9)
    );
  Mcount_count_int_cy_10_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(9),
      DI => N0,
      S => Mcount_count_int_cy_10_rt_12,
      O => Mcount_count_int_cy(10)
    );
  Mcount_count_int_xor_10_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(9),
      LI => Mcount_count_int_cy_10_rt_12,
      O => Result(10)
    );
  Mcount_count_int_cy_11_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(10),
      DI => N0,
      S => Mcount_count_int_cy_11_rt_13,
      O => Mcount_count_int_cy(11)
    );
  Mcount_count_int_xor_11_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(10),
      LI => Mcount_count_int_cy_11_rt_13,
      O => Result(11)
    );
  Mcount_count_int_cy_12_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(11),
      DI => N0,
      S => Mcount_count_int_cy_12_rt_14,
      O => Mcount_count_int_cy(12)
    );
  Mcount_count_int_xor_12_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(11),
      LI => Mcount_count_int_cy_12_rt_14,
      O => Result(12)
    );
  Mcount_count_int_cy_13_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(12),
      DI => N0,
      S => Mcount_count_int_cy_13_rt_15,
      O => Mcount_count_int_cy(13)
    );
  Mcount_count_int_xor_13_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(12),
      LI => Mcount_count_int_cy_13_rt_15,
      O => Result(13)
    );
  Mcount_count_int_cy_14_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(13),
      DI => N0,
      S => Mcount_count_int_cy_14_rt_16,
      O => Mcount_count_int_cy(14)
    );
  Mcount_count_int_xor_14_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(13),
      LI => Mcount_count_int_cy_14_rt_16,
      O => Result(14)
    );
  Mcount_count_int_cy_15_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(14),
      DI => N0,
      S => Mcount_count_int_cy_15_rt_17,
      O => Mcount_count_int_cy(15)
    );
  Mcount_count_int_xor_15_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(14),
      LI => Mcount_count_int_cy_15_rt_17,
      O => Result(15)
    );
  Mcount_count_int_cy_16_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(15),
      DI => N0,
      S => Mcount_count_int_cy_16_rt_18,
      O => Mcount_count_int_cy(16)
    );
  Mcount_count_int_xor_16_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(15),
      LI => Mcount_count_int_cy_16_rt_18,
      O => Result(16)
    );
  Mcount_count_int_cy_17_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(16),
      DI => N0,
      S => Mcount_count_int_cy_17_rt_19,
      O => Mcount_count_int_cy(17)
    );
  Mcount_count_int_xor_17_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(16),
      LI => Mcount_count_int_cy_17_rt_19,
      O => Result(17)
    );
  Mcount_count_int_cy_18_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(17),
      DI => N0,
      S => Mcount_count_int_cy_18_rt_20,
      O => Mcount_count_int_cy(18)
    );
  Mcount_count_int_xor_18_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(17),
      LI => Mcount_count_int_cy_18_rt_20,
      O => Result(18)
    );
  Mcount_count_int_cy_19_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(18),
      DI => N0,
      S => Mcount_count_int_cy_19_rt_21,
      O => Mcount_count_int_cy(19)
    );
  Mcount_count_int_xor_19_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(18),
      LI => Mcount_count_int_cy_19_rt_21,
      O => Result(19)
    );
  Mcount_count_int_cy_20_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(19),
      DI => N0,
      S => Mcount_count_int_cy_20_rt_22,
      O => Mcount_count_int_cy(20)
    );
  Mcount_count_int_xor_20_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(19),
      LI => Mcount_count_int_cy_20_rt_22,
      O => Result(20)
    );
  Mcount_count_int_cy_21_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(20),
      DI => N0,
      S => Mcount_count_int_cy_21_rt_23,
      O => Mcount_count_int_cy(21)
    );
  Mcount_count_int_xor_21_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(20),
      LI => Mcount_count_int_cy_21_rt_23,
      O => Result(21)
    );
  Mcount_count_int_cy_22_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(21),
      DI => N0,
      S => Mcount_count_int_cy_22_rt_24,
      O => Mcount_count_int_cy(22)
    );
  Mcount_count_int_xor_22_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(21),
      LI => Mcount_count_int_cy_22_rt_24,
      O => Result(22)
    );
  Mcount_count_int_cy_23_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(22),
      DI => N0,
      S => Mcount_count_int_cy_23_rt_25,
      O => Mcount_count_int_cy(23)
    );
  Mcount_count_int_xor_23_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(22),
      LI => Mcount_count_int_cy_23_rt_25,
      O => Result(23)
    );
  Mcount_count_int_cy_24_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(23),
      DI => N0,
      S => Mcount_count_int_cy_24_rt_26,
      O => Mcount_count_int_cy(24)
    );
  Mcount_count_int_xor_24_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(23),
      LI => Mcount_count_int_cy_24_rt_26,
      O => Result(24)
    );
  Mcount_count_int_cy_25_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(24),
      DI => N0,
      S => Mcount_count_int_cy_25_rt_27,
      O => Mcount_count_int_cy(25)
    );
  Mcount_count_int_xor_25_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(24),
      LI => Mcount_count_int_cy_25_rt_27,
      O => Result(25)
    );
  Mcount_count_int_cy_26_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(25),
      DI => N0,
      S => Mcount_count_int_cy_26_rt_28,
      O => Mcount_count_int_cy(26)
    );
  Mcount_count_int_xor_26_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(25),
      LI => Mcount_count_int_cy_26_rt_28,
      O => Result(26)
    );
  Mcount_count_int_cy_27_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(26),
      DI => N0,
      S => Mcount_count_int_cy_27_rt_29,
      O => Mcount_count_int_cy(27)
    );
  Mcount_count_int_xor_27_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(26),
      LI => Mcount_count_int_cy_27_rt_29,
      O => Result(27)
    );
  Mcount_count_int_cy_28_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(27),
      DI => N0,
      S => Mcount_count_int_cy_28_rt_30,
      O => Mcount_count_int_cy(28)
    );
  Mcount_count_int_xor_28_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(27),
      LI => Mcount_count_int_cy_28_rt_30,
      O => Result(28)
    );
  Mcount_count_int_cy_29_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(28),
      DI => N0,
      S => Mcount_count_int_cy_29_rt_31,
      O => Mcount_count_int_cy(29)
    );
  Mcount_count_int_xor_29_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(28),
      LI => Mcount_count_int_cy_29_rt_31,
      O => Result(29)
    );
  Mcount_count_int_cy_30_Q : MUXCY
    port map (
      CI => Mcount_count_int_cy(29),
      DI => N0,
      S => Mcount_count_int_cy_30_rt_32,
      O => Mcount_count_int_cy(30)
    );
  Mcount_count_int_xor_30_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(29),
      LI => Mcount_count_int_cy_30_rt_32,
      O => Result(30)
    );
  Mcount_count_int_xor_31_Q : XORCY
    port map (
      CI => Mcount_count_int_cy(30),
      LI => Mcount_count_int_xor_31_rt_33,
      O => Result(31)
    );
  dcm1_1_DCM_SP_INST : DCM_SP
    generic map(
      CLK_FEEDBACK => "1X",
      CLKDV_DIVIDE => 2.0000,
      CLKFX_DIVIDE => 5,
      CLKFX_MULTIPLY => 6,
      CLKIN_DIVIDE_BY_2 => FALSE,
      CLKIN_PERIOD => 20.0000,
      CLKOUT_PHASE_SHIFT => "NONE",
      DESKEW_ADJUST => "SYSTEM_SYNCHRONOUS",
      DFS_FREQUENCY_MODE => "LOW",
      DLL_FREQUENCY_MODE => "LOW",
      DSS_MODE => "NONE",
      DUTY_CYCLE_CORRECTION => TRUE,
      PHASE_SHIFT => 0,
      STARTUP_WAIT => FALSE,
      FACTORY_JF => X"C080"
    )
    port map (
      CLKIN => dcm1_1_CLKIN_IBUFG_OUT,
      CLKFB => dcm1_1_CLK0_OUT,
      RST => rst_n_inv,
      DSSEN => N0,
      PSINCDEC => N0,
      PSEN => N0,
      PSCLK => N0,
      CLK0 => dcm1_1_CLK0_BUF,
      CLK90 => NLW_dcm1_1_DCM_SP_INST_CLK90_UNCONNECTED,
      CLK180 => NLW_dcm1_1_DCM_SP_INST_CLK180_UNCONNECTED,
      CLK270 => NLW_dcm1_1_DCM_SP_INST_CLK270_UNCONNECTED,
      CLK2X => NLW_dcm1_1_DCM_SP_INST_CLK2X_UNCONNECTED,
      CLK2X180 => NLW_dcm1_1_DCM_SP_INST_CLK2X180_UNCONNECTED,
      CLKDV => NLW_dcm1_1_DCM_SP_INST_CLKDV_UNCONNECTED,
      CLKFX => dcm1_1_CLKFX_BUF,
      CLKFX180 => NLW_dcm1_1_DCM_SP_INST_CLKFX180_UNCONNECTED,
      LOCKED => NLW_dcm1_1_DCM_SP_INST_LOCKED_UNCONNECTED,
      PSDONE => NLW_dcm1_1_DCM_SP_INST_PSDONE_UNCONNECTED,
      STATUS(7) => NLW_dcm1_1_DCM_SP_INST_STATUS_7_UNCONNECTED,
      STATUS(6) => NLW_dcm1_1_DCM_SP_INST_STATUS_6_UNCONNECTED,
      STATUS(5) => NLW_dcm1_1_DCM_SP_INST_STATUS_5_UNCONNECTED,
      STATUS(4) => NLW_dcm1_1_DCM_SP_INST_STATUS_4_UNCONNECTED,
      STATUS(3) => NLW_dcm1_1_DCM_SP_INST_STATUS_3_UNCONNECTED,
      STATUS(2) => NLW_dcm1_1_DCM_SP_INST_STATUS_2_UNCONNECTED,
      STATUS(1) => NLW_dcm1_1_DCM_SP_INST_STATUS_1_UNCONNECTED,
      STATUS(0) => NLW_dcm1_1_DCM_SP_INST_STATUS_0_UNCONNECTED
    );
  dcm1_1_CLK0_BUFG_INST : BUFG
    port map (
      I => dcm1_1_CLK0_BUF,
      O => dcm1_1_CLK0_OUT
    );
  dcm1_1_CLKIN_IBUFG_INST : IBUFG
    port map (
      I => clk50,
      O => dcm1_1_CLKIN_IBUFG_OUT
    );
  dcm1_1_CLKFX_BUFG_INST : BUFG
    port map (
      I => dcm1_1_CLKFX_BUF,
      O => clk60_out_OBUF_2
    );
  Mcount_bit_no_xor_2_12 : LUT4
    generic map(
      INIT => X"6A62"
    )
    port map (
      I0 => bit_no(2),
      I1 => bit_no(0),
      I2 => bit_no(1),
      I3 => N3,
      O => Mcount_bit_no6
    );
  Mcount_bit_no_xor_1_1 : LUT4
    generic map(
      INIT => X"343C"
    )
    port map (
      I0 => bit_no(5),
      I1 => bit_no(0),
      I2 => bit_no(1),
      I3 => N13,
      O => Mcount_bit_no3
    );
  sr_9_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(8),
      I1 => count_int(9),
      I2 => sr_10_mux000111_34,
      O => sr_9_mux0001
    );
  sr_8_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(7),
      I1 => count_int(8),
      I2 => sr_10_mux000111_34,
      O => sr_8_mux0001
    );
  sr_7_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(6),
      I1 => count_int(7),
      I2 => sr_10_mux000111_34,
      O => sr_7_mux0001
    );
  sr_6_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(5),
      I1 => count_int(6),
      I2 => sr_10_mux000111_34,
      O => sr_6_mux0001
    );
  sr_5_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(4),
      I1 => count_int(5),
      I2 => sr_10_mux000111_34,
      O => sr_5_mux0001
    );
  sr_4_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(3),
      I1 => count_int(4),
      I2 => sr_10_mux000111_34,
      O => sr_4_mux0001
    );
  sr_3_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(2),
      I1 => count_int(3),
      I2 => sr_10_mux000111_34,
      O => sr_3_mux0001
    );
  sr_31_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(30),
      I1 => count_int(31),
      I2 => sr_10_mux000111_34,
      O => sr_31_mux0001
    );
  sr_30_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(29),
      I1 => count_int(30),
      I2 => sr_10_mux000111_34,
      O => sr_30_mux0001
    );
  sr_2_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(1),
      I1 => count_int(2),
      I2 => sr_10_mux000111_34,
      O => sr_2_mux0001
    );
  sr_29_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(28),
      I1 => count_int(29),
      I2 => sr_10_mux000111_34,
      O => sr_29_mux0001
    );
  sr_28_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(27),
      I1 => count_int(28),
      I2 => sr_10_mux000111_34,
      O => sr_28_mux0001
    );
  sr_27_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(26),
      I1 => count_int(27),
      I2 => sr_10_mux000111_34,
      O => sr_27_mux0001
    );
  sr_26_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(25),
      I1 => count_int(26),
      I2 => sr_10_mux000111_34,
      O => sr_26_mux0001
    );
  sr_25_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(24),
      I1 => count_int(25),
      I2 => sr_10_mux000111_34,
      O => sr_25_mux0001
    );
  sr_24_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(23),
      I1 => count_int(24),
      I2 => sr_10_mux000111_34,
      O => sr_24_mux0001
    );
  sr_23_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(22),
      I1 => count_int(23),
      I2 => N69,
      O => sr_23_mux0001
    );
  sr_22_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(21),
      I1 => count_int(22),
      I2 => N01,
      O => sr_22_mux0001
    );
  sr_21_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(20),
      I1 => count_int(21),
      I2 => N01,
      O => sr_21_mux0001
    );
  sr_20_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(19),
      I1 => count_int(20),
      I2 => N01,
      O => sr_20_mux0001
    );
  sr_1_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(0),
      I1 => count_int(1),
      I2 => N01,
      O => sr_1_mux0001
    );
  sr_19_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(18),
      I1 => count_int(19),
      I2 => N01,
      O => sr_19_mux0001
    );
  sr_18_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(17),
      I1 => count_int(18),
      I2 => N01,
      O => sr_18_mux0001
    );
  sr_17_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(16),
      I1 => count_int(17),
      I2 => N01,
      O => sr_17_mux0001
    );
  sr_16_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(15),
      I1 => count_int(16),
      I2 => N01,
      O => sr_16_mux0001
    );
  sr_15_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(14),
      I1 => count_int(15),
      I2 => N01,
      O => sr_15_mux0001
    );
  sr_14_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(13),
      I1 => count_int(14),
      I2 => N01,
      O => sr_14_mux0001
    );
  sr_13_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(12),
      I1 => count_int(13),
      I2 => N01,
      O => sr_13_mux0001
    );
  sr_12_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(11),
      I1 => count_int(12),
      I2 => N01,
      O => sr_12_mux0001
    );
  sr_11_mux00011 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(10),
      I1 => count_int(11),
      I2 => N01,
      O => sr_11_mux0001
    );
  sr_10_mux00012 : LUT3
    generic map(
      INIT => X"AC"
    )
    port map (
      I0 => sr(9),
      I1 => count_int(10),
      I2 => N01,
      O => sr_10_mux0001
    );
  sw_rst_IBUF : IBUF
    port map (
      I => sw_rst,
      O => rst_n_inv
    );
  output_bit_OBUF : OBUF
    port map (
      I => output_bit_OBUF_1,
      O => output_bit
    );
  clk60_out_OBUF : OBUF
    port map (
      I => clk60_out_OBUF_2,
      O => clk60_out
    );
  count_out_31_OBUF : OBUF
    port map (
      I => count_int(31),
      O => count_out(31)
    );
  count_out_30_OBUF : OBUF
    port map (
      I => count_int(30),
      O => count_out(30)
    );
  count_out_29_OBUF : OBUF
    port map (
      I => count_int(29),
      O => count_out(29)
    );
  count_out_28_OBUF : OBUF
    port map (
      I => count_int(28),
      O => count_out(28)
    );
  count_out_27_OBUF : OBUF
    port map (
      I => count_int(27),
      O => count_out(27)
    );
  count_out_26_OBUF : OBUF
    port map (
      I => count_int(26),
      O => count_out(26)
    );
  count_out_25_OBUF : OBUF
    port map (
      I => count_int(25),
      O => count_out(25)
    );
  count_out_24_OBUF : OBUF
    port map (
      I => count_int(24),
      O => count_out(24)
    );
  count_out_23_OBUF : OBUF
    port map (
      I => count_int(23),
      O => count_out(23)
    );
  count_out_22_OBUF : OBUF
    port map (
      I => count_int(22),
      O => count_out(22)
    );
  count_out_21_OBUF : OBUF
    port map (
      I => count_int(21),
      O => count_out(21)
    );
  count_out_20_OBUF : OBUF
    port map (
      I => count_int(20),
      O => count_out(20)
    );
  count_out_19_OBUF : OBUF
    port map (
      I => count_int(19),
      O => count_out(19)
    );
  count_out_18_OBUF : OBUF
    port map (
      I => count_int(18),
      O => count_out(18)
    );
  count_out_17_OBUF : OBUF
    port map (
      I => count_int(17),
      O => count_out(17)
    );
  count_out_16_OBUF : OBUF
    port map (
      I => count_int(16),
      O => count_out(16)
    );
  count_out_15_OBUF : OBUF
    port map (
      I => count_int(15),
      O => count_out(15)
    );
  count_out_14_OBUF : OBUF
    port map (
      I => count_int(14),
      O => count_out(14)
    );
  count_out_13_OBUF : OBUF
    port map (
      I => count_int(13),
      O => count_out(13)
    );
  count_out_12_OBUF : OBUF
    port map (
      I => count_int(12),
      O => count_out(12)
    );
  count_out_11_OBUF : OBUF
    port map (
      I => count_int(11),
      O => count_out(11)
    );
  count_out_10_OBUF : OBUF
    port map (
      I => count_int(10),
      O => count_out(10)
    );
  count_out_9_OBUF : OBUF
    port map (
      I => count_int(9),
      O => count_out(9)
    );
  count_out_8_OBUF : OBUF
    port map (
      I => count_int(8),
      O => count_out(8)
    );
  count_out_7_OBUF : OBUF
    port map (
      I => count_int(7),
      O => count_out(7)
    );
  count_out_6_OBUF : OBUF
    port map (
      I => count_int(6),
      O => count_out(6)
    );
  count_out_5_OBUF : OBUF
    port map (
      I => count_int(5),
      O => count_out(5)
    );
  count_out_4_OBUF : OBUF
    port map (
      I => count_int(4),
      O => count_out(4)
    );
  count_out_3_OBUF : OBUF
    port map (
      I => count_int(3),
      O => count_out(3)
    );
  count_out_2_OBUF : OBUF
    port map (
      I => count_int(2),
      O => count_out(2)
    );
  count_out_1_OBUF : OBUF
    port map (
      I => count_int(1),
      O => count_out(1)
    );
  count_out_0_OBUF : OBUF
    port map (
      I => count_int(0),
      O => count_out(0)
    );
  Mcount_count_int_cy_1_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(1),
      O => Mcount_count_int_cy_1_rt_3
    );
  Mcount_count_int_cy_2_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(2),
      O => Mcount_count_int_cy_2_rt_4
    );
  Mcount_count_int_cy_3_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(3),
      O => Mcount_count_int_cy_3_rt_5
    );
  Mcount_count_int_cy_4_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(4),
      O => Mcount_count_int_cy_4_rt_6
    );
  Mcount_count_int_cy_5_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(5),
      O => Mcount_count_int_cy_5_rt_7
    );
  Mcount_count_int_cy_6_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(6),
      O => Mcount_count_int_cy_6_rt_8
    );
  Mcount_count_int_cy_7_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(7),
      O => Mcount_count_int_cy_7_rt_9
    );
  Mcount_count_int_cy_8_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(8),
      O => Mcount_count_int_cy_8_rt_10
    );
  Mcount_count_int_cy_9_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(9),
      O => Mcount_count_int_cy_9_rt_11
    );
  Mcount_count_int_cy_10_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(10),
      O => Mcount_count_int_cy_10_rt_12
    );
  Mcount_count_int_cy_11_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(11),
      O => Mcount_count_int_cy_11_rt_13
    );
  Mcount_count_int_cy_12_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(12),
      O => Mcount_count_int_cy_12_rt_14
    );
  Mcount_count_int_cy_13_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(13),
      O => Mcount_count_int_cy_13_rt_15
    );
  Mcount_count_int_cy_14_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(14),
      O => Mcount_count_int_cy_14_rt_16
    );
  Mcount_count_int_cy_15_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(15),
      O => Mcount_count_int_cy_15_rt_17
    );
  Mcount_count_int_cy_16_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(16),
      O => Mcount_count_int_cy_16_rt_18
    );
  Mcount_count_int_cy_17_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(17),
      O => Mcount_count_int_cy_17_rt_19
    );
  Mcount_count_int_cy_18_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(18),
      O => Mcount_count_int_cy_18_rt_20
    );
  Mcount_count_int_cy_19_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(19),
      O => Mcount_count_int_cy_19_rt_21
    );
  Mcount_count_int_cy_20_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(20),
      O => Mcount_count_int_cy_20_rt_22
    );
  Mcount_count_int_cy_21_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(21),
      O => Mcount_count_int_cy_21_rt_23
    );
  Mcount_count_int_cy_22_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(22),
      O => Mcount_count_int_cy_22_rt_24
    );
  Mcount_count_int_cy_23_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(23),
      O => Mcount_count_int_cy_23_rt_25
    );
  Mcount_count_int_cy_24_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(24),
      O => Mcount_count_int_cy_24_rt_26
    );
  Mcount_count_int_cy_25_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(25),
      O => Mcount_count_int_cy_25_rt_27
    );
  Mcount_count_int_cy_26_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(26),
      O => Mcount_count_int_cy_26_rt_28
    );
  Mcount_count_int_cy_27_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(27),
      O => Mcount_count_int_cy_27_rt_29
    );
  Mcount_count_int_cy_28_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(28),
      O => Mcount_count_int_cy_28_rt_30
    );
  Mcount_count_int_cy_29_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(29),
      O => Mcount_count_int_cy_29_rt_31
    );
  Mcount_count_int_cy_30_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(30),
      O => Mcount_count_int_cy_30_rt_32
    );
  Mcount_count_int_xor_31_rt : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => count_int(31),
      O => Mcount_count_int_xor_31_rt_33
    );
  output_bit_and00001 : LUT4
    generic map(
      INIT => X"5554"
    )
    port map (
      I0 => rst_n_inv,
      I1 => bit_no(1),
      I2 => N3,
      I3 => N67,
      O => output_bit_and0000
    );
  sr_37_mux00011 : LUT4
    generic map(
      INIT => X"AAAB"
    )
    port map (
      I0 => sr(36),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_37_mux0001
    );
  sr_36_mux00011 : LUT4
    generic map(
      INIT => X"AAAB"
    )
    port map (
      I0 => sr(35),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_36_mux0001
    );
  sr_35_mux00011 : LUT4
    generic map(
      INIT => X"AAA8"
    )
    port map (
      I0 => sr(34),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_35_mux0001
    );
  sr_34_mux00011 : LUT4
    generic map(
      INIT => X"AAAB"
    )
    port map (
      I0 => sr(33),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_34_mux0001
    );
  sr_33_mux00011 : LUT4
    generic map(
      INIT => X"AAAB"
    )
    port map (
      I0 => sr(32),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_33_mux0001
    );
  sr_32_mux00011 : LUT4
    generic map(
      INIT => X"AAAB"
    )
    port map (
      I0 => sr(31),
      I1 => bit_no(1),
      I2 => N3,
      I3 => N7,
      O => sr_32_mux0001
    );
  Mcount_bit_no_xor_3_11 : LUT4
    generic map(
      INIT => X"6AAA"
    )
    port map (
      I0 => bit_no(3),
      I1 => bit_no(1),
      I2 => bit_no(0),
      I3 => bit_no(2),
      O => Mcount_bit_no9
    );
  Mcount_bit_no_xor_5_1 : LUT4
    generic map(
      INIT => X"EC4C"
    )
    port map (
      I0 => bit_no(0),
      I1 => bit_no(5),
      I2 => bit_no(2),
      I3 => N63,
      O => Mcount_bit_no15
    );
  sr_0_cmp_eq00001 : LUT4
    generic map(
      INIT => X"0008"
    )
    port map (
      I0 => bit_no(2),
      I1 => bit_no(0),
      I2 => bit_no(1),
      I3 => N3,
      O => sr_0_cmp_eq0000
    );
  Mcount_bit_no_xor_4_11 : LUT4
    generic map(
      INIT => X"6AAA"
    )
    port map (
      I0 => bit_no(4),
      I1 => bit_no(3),
      I2 => bit_no(2),
      I3 => N65,
      O => Mcount_bit_no12
    );
  sr_10_mux000111_1 : LUT4
    generic map(
      INIT => X"FFBF"
    )
    port map (
      I0 => bit_no(1),
      I1 => bit_no(0),
      I2 => bit_no(2),
      I3 => N68,
      O => sr_10_mux000111_34
    );
  Mcount_count_int_lut_0_INV_0 : INV
    port map (
      I => count_int(0),
      O => Result(0)
    );
  clk60_out_inv1_INV_0 : INV
    port map (
      I => clk60_out_OBUF_2,
      O => clk60_out_inv
    );
  Mcount_bit_no_xor_0_11_INV_0 : INV
    port map (
      I => bit_no(0),
      O => Mcount_bit_no
    );
  Mcount_bit_no_xor_1_1_SW0 : LUT3_L
    generic map(
      INIT => X"10"
    )
    port map (
      I0 => bit_no(4),
      I1 => bit_no(3),
      I2 => bit_no(2),
      LO => N13
    );
  Mcount_bit_no_xor_5_1211 : LUT2_D
    generic map(
      INIT => X"7"
    )
    port map (
      I0 => bit_no(2),
      I1 => bit_no(0),
      LO => N67,
      O => N7
    );
  Mcount_bit_no_xor_2_111 : LUT3_D
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => bit_no(4),
      I1 => bit_no(5),
      I2 => bit_no(3),
      LO => N68,
      O => N3
    );
  Mcount_bit_no_xor_5_1_SW2 : LUT4_L
    generic map(
      INIT => X"6AA8"
    )
    port map (
      I0 => bit_no(5),
      I1 => bit_no(4),
      I2 => bit_no(3),
      I3 => bit_no(1),
      LO => N63
    );
  sr_10_mux000111 : LUT4_D
    generic map(
      INIT => X"FFBF"
    )
    port map (
      I0 => bit_no(1),
      I1 => bit_no(0),
      I2 => bit_no(2),
      I3 => N3,
      LO => N69,
      O => N01
    );
  Mcount_bit_no_xor_4_11_SW0 : LUT2_L
    generic map(
      INIT => X"8"
    )
    port map (
      I0 => bit_no(0),
      I1 => bit_no(1),
      LO => N65
    );

end Structure;

